--- title: "Get VPC list" slug: "analytics-clouddatastreamingservice-cluster-getvpclist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getvpclist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get VPC list Available in VPC Get the list of available VPCs. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/cluster/getVpcList (Korea Region) | | GET | /api/sgn-v1/cluster/getVpcList (Singapore Region) | | GET | /api/jpn-v1/cluster/getVpcList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getVpcList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.error` | String | - | Error message | | `result.content` | Array | - | VPC list: [content](/docs/en/analytics-clouddatastreamingservice-cluster-getvpclist#content) | | `requestId` | String | - | ID for the request - UUID format | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `createdDate` | Object | - | Creation date and time | | `createdDate.formattedDate` | String | - | Creation date - yyyy-MM-dd format | | `createdDate.formattedDateTime` | String | - | Creation date and time - yyyy-MM-dd HH:mm:ss SSSSSS format | | `createdDate.utc` | Integer | - | Creation date and time (millisecond) - Unix timestamp format | | `ipv4Cidr` | String | - | VPC's IPv4 CIDR block | | `regionNo` | String | - | Region number | | `statusCode` | String | - | VPC status | | `vpcName` | String | - | VPC name | | `vpcNo` | Integer | - | VPC number | | `permission` | String | - | Sub account availability - `Allow` \| `Deny` - `Allow`: available - `Deny`: unavailable - If it is `Deny`, it becomes available when granting the [getVPCDetail](/docs/en/networking-vpc-vpcmanagement-getvpcdetail) permission to the sub account. | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "error": null, "content": [ { "createdDate": { "formattedDate": "2025-04-23", "formattedDateTime": "2025-04-23 10:16:15 000723", "utc": 1669166175723 }, "ipv4Cidr": "172.16.0.0/16", "regionNo": "1", "statusCode": "RUN", "vpcName": "vpc-123", "vpcNo": 6***, "permission": "Allow" }, ... ] }, "requestId": "bc097a35-****-****-****-a91032324b21" } ```